%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define pkgname GnuPGInterface

Summary:	A Python module to interface with GnuPG
Summary(ja):	GnuPG へのインターフェイスとなる Python モジュール
Name:		python-GnuPGInterface
Version:	0.3.2
Release:	3%{?_dist_release}
License:	LGPLv2+
Group:		Development/Languages
URL:		http://py-gnupg.sourceforge.net/
Source:		http://downloads.sourceforge.net/py-gnupg/%{pkgname}-%{version}.tar.gz
Patch0:         01_print_exit_status_correctly.patch
Patch1:         02_setup_license.patch
BuildRequires:	python-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
GnuPGInterface is a Python module to interface with GnuPG. It
concentrates on interacting with GnuPG via filehandles, providing
access to control GnuPG via versatile and extensible means.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Correct some permissions
chmod 644 ChangeLog COPYING NEWS THANKS

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog COPYING NEWS THANKS
%{python_sitelib}/%{pkgname}*

%changelog
* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.3.4-3
- rebuild with python-2.7.2

* Sun Oct 3 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.4-2
- rebuilt with rpm-4.8.1 for pkg-config

* Fri May 21 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.2-1
- initial build for VineSeed

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Robert Scheck <robert@fedoraproject.org> 0.3.2-5
- Rebuild against rpm 4.6

* Fri Dec  5 2008 Jeremy Katz <katzj@redhat.com> - 0.3.2-4
- Rebuild for python 2.6

* Tue Jan 08 2008 Robert Scheck <robert@fedoraproject.org> 0.3.2-3
- Rebuild (and some minor spec file tweaks)

* Mon Sep 03 2007 Robert Scheck <robert@fedoraproject.org> 0.3.2-2
- Updated source URL to match with the guidelines (#265381)
- Use get_python_lib() macro according to the policy (#265381)

* Wed Aug 29 2007 Robert Scheck <robert@fedoraproject.org> 0.3.2-1
- Upgrade to 0.3.2
- Initial spec file for Fedora and Red Hat Enterprise Linux
